Subject: [v6ops] SR-IPv6 Linux implementation status

From: David Lebrun <[email-masked]>
Date: Wed, 2 Mar 2016 15:57:10 +0100

Hello,

The Linux implementation of SR-IPv6 has reached a milestone with a large
codebase cleanup, support of LWT (lightweight tunnels), numerous
bugfixes and centralized userland control tool (iproute2).

For the occasion, I have completely reinstalled the implementation
website, at http://segment-routing.org

It now has clear documentation on how to install and use our modified
kernel and tools, and we provide a Virtual Machine in QEMU and
VirtualBox formats in order to easily test the implementation. The VM
also contains a framework to instantiate virtual networks within the VM,
in order to test various network setups with SR.

Feel free to look a the website and test the VM, and any feedback would
be appreciated.

Thanks !

David